devscripts might need to depend on topgit

Bug #526704 reported by Stephen Siard on 2010-02-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
devscripts (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: devscripts

Against devscripts-2.10.53ubuntu3 on 9.10:

debcheckout of a git repository uses tg (from the topgit package), but devscripts does not even suggest topgit.

Maarten Bezemer (veger) wrote :

It is written in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530285

I don't think it's devscripts' job to be a general "helpful packages"
metapackage. We have enough dependencies (in the general sense) just in
support of the scripts we provide.

So adding a dependency for topgit falls in the same category, I am afraid.

Nonetheless, if you feel that it is still worth to add the suggests for topgit, you should open an upstream report and discuss your need with the developers. See https://wiki.ubuntu.com/Debian/Bugs for more information on opening Debian upstream reports.
If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in devscripts (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.